Bug 961926 - java-1.7.0-openjdk-1.7.0.19-2.3.9.8 fails to apply patches on ARM (and possibly other secondary arches?)
java-1.7.0-openjdk-1.7.0.19-2.3.9.8 fails to apply patches on ARM (and possib...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: java-1.7.0-openjdk (Show other bugs)
rawhide
Unspecified Unspecified
urgent Severity high
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2013-05-10 14:56 EDT by Peter Robinson
Modified: 2013-05-15 13:47 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-15 13:47:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2013-05-10 14:56:43 EDT
http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=1800119


+ patch -l -p0
patching file openjdk/hotspot/src/os/linux/vm/os_linux.cpp
Hunk #1 succeeded at 2788 (offset 25 lines).
patching file openjdk/hotspot/src/share/vm/runtime/os.cpp
Hunk #1 succeeded at 1306 (offset -25 lines).
patching file openjdk/hotspot/src/share/vm/runtime/os.hpp
Hunk #1 FAILED at 672.
1 out of 1 hunk FAILED -- saving rejects to file openjdk/hotspot/src/share/vm/runtime/os.hpp.rej
error: Bad exit status from /var/tmp/rpm-tmp.g1D9hi (%build)
RPM build errors:
    bogus date in %changelog: Wed Apr 04 2013 Jiri Vanek <jvanek@redhat.com> - 1.7.0.9-2.3.8.6.fc20
    bogus date in %changelog: Fri Feb 16 2013 Jiri Vanek <jvanek@redhat.com> - 1.7.0.9-2.3.7.fc19
    bogus date in %changelog: Thu Sep 7 2012 jiri Vanek <jvanek@redhat.com> - 1.7.0.6-2.3.1.fc19.3
    Bad exit status from /var/tmp/rpm-tmp.g1D9hi (%build)
Child return code was: 1
Comment 1 jiri vanek 2013-05-15 10:23:34 EDT
Hi. Both have been excluded before this bugreport:)
http://pkgs.fedoraproject.org/cgit/java-1.7.0-openjdk.git/commit/?h=f19&id=a8bec999e9edda3101e5d9ea20778bbee111b1dc

and same for f18 and 20. So I think you can proceeed.

Note You need to log in before you can comment on or make changes to this bug.